/* FBBundleExtension.h created by ahoesch on Thu 05-Apr-2001 */

#import <Foundation/Foundation.h>

@interface NSBundle (FBBundleExtension)

+ (NSString *)processPath;
+ (NSBundle *)bundleNamed:(NSString *)name;

// Use the following two methods to register MyTestAppResources, FBEnterpriseResources,...
+ (void)registerResourcesBundleForTool;
+ (void)registerResourcesBundleForKey:(NSString *)key;

+ (void)registerResourceBundle:(NSBundle *)bundle forKey:(NSString *)key;

+ (NSArray *)registeredResourceKeys;
+ (NSBundle *)resourcesBundleForTool;
+ (NSBundle *)resourcesBundleForKey:(NSString *)key;

+ (NSString *)pathForResource:(NSString *)resourceName ofType:(NSString *)type;


@end
